Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.axis.server
Class EJBProvider.EJBServiceLifeCycle

    java.lang.Object
      org.jboss.net.axis.server.EJBProvider.EJBServiceLifeCycle

All Implemented Interfaces:
  EventListener, javax.servlet.http.HttpSessionBindingListener, javax.xml.rpc.server.ServiceLifecycle

Enclosing class:
  EJBProvider

protected static class EJBProvider.EJBServiceLifeCycle
extends Object
implements javax.xml.rpc.server.ServiceLifecycle, javax.servlet.http.HttpSessionBindingListener

This is the lifecycle object that is registered in the message scope and that shields the proper bean reference

Field Summary
`protected Object` | `serviceObject` may be local or remote object

Constructor Summary
`protected` | `EJBProvider.EJBServiceLifeCycle(Object serviceObject)` constructs a new lifecycle

Method Summary
`void` | `destroy()` call remove
`void` | `init(Object arg0)` Nothing to be done
`void` | `valueBound(javax.servlet.http.HttpSessionBindingEvent arg0)`
`void` | `valueUnbound(javax.servlet.http.HttpSessionBindingEvent arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serviceObject

    protected Object serviceObject

  may be local or remote object

Constructor Detail

### EJBProvider.EJBServiceLifeCycle

    protected EJBProvider.EJBServiceLifeCycle(Object serviceObject)

  constructs a new lifecycle

Method Detail

### destroy

    public void destroy()

  call remove

  Specified by:
    `destroy` in interface `javax.xml.rpc.server.ServiceLifecycle`
  See Also:
    `ServiceLifecycle.destroy()`

### init

    public void init(Object arg0)

  Nothing to be done

  Specified by:
    `init` in interface `javax.xml.rpc.server.ServiceLifecycle`
  See Also:
    `ServiceLifecycle.init(Object)`

### valueBound

    public void valueBound(javax.servlet.http.HttpSessionBindingEvent arg0)

  Specified by:
    `valueBound` in interface `javax.servlet.http.HttpSessionBindingListener`
  See Also:
    `HttpSessionBindingListener.valueBound(HttpSessionBindingEvent)`

### valueUnbound

    public void valueUnbound(javax.servlet.http.HttpSessionBindingEvent arg0)

  Specified by:
    `valueUnbound` in interface `javax.servlet.http.HttpSessionBindingListener`
  See Also:
    `HttpSessionBindingListener.valueUnbound(HttpSessionBindingEvent)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.